<?php
/*
Plugin Name: WCEXP Quickcharge Patch
Plugin URI: http://www.welcart.com/
Description: This plugin is a patch program for WCEX Auto Delivery.
Version: 1.0.0
Author: Collne Inc.
Author URI: http://www.welcart.com/
*/

if( defined('USCES_VERSION') && defined('WCEX_AUTO_DELIVERY') ) {
	require_once( USCES_WP_PLUGIN_DIR.'/wcex_auto_delivery/functions/function.php' );
	add_action( 'plugins_loaded', 'wcqc_execute_patch' );
}

function wcqc_execute_patch() {
	global $usces, $wpdb;

	$regular_table_name = $wpdb->prefix.'usces_regular';
	$regular_detail_table_name = $wpdb->prefix.'usces_regular_detail';
	$query = "SELECT r.reg_id, reg_mem_id, reg_payment_name 
		FROM {$regular_detail_table_name} AS d INNER JOIN {$regular_table_name} AS r 
		WHERE d.regdet_condition = 'continuation' 
		GROUP BY r.reg_id";
	$regular_order = $wpdb->get_results( $query, ARRAY_A );
	foreach( (array)$regular_order as $regular ) {
		$payments = $usces->getPayments( $regular['reg_payment_name'] );
		if( $payments['settlement'] == 'acting_zeus_card' ) {
			$pcid = $usces->get_member_meta_value( 'zeus_pcid', $regular['reg_mem_id'] );
			if( empty($pcid) ) {
				$usces->set_member_meta_value( 'zeus_pcid', '8888888888888888', $regular['reg_mem_id'] );
			}
		}
	}
}
